package com.idiot.operationbackend.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.math.BigDecimal;

/**
 * 公众号粉丝数据统计
 * @author wang xiao
 * @date Created in 13:57 2020/9/15
 */
@TableName("t_account_fans_stat")
public class AccountFansStat {

    @TableId
    private String id;

    private String accountId;

    /**
     * 新增
     */
    private Integer newNum;

    /**
     * 取关
     */
    private Integer cancelNum;

    /**
     * 活跃
     */
    private Integer inactiveNum;

    /**
     * 总粉丝数
     */
    private Integer totalFansNum;

    /**
     * 净增
     */
    private Integer addNum;

    /**
     * 阅读数量
     */
    private Integer pageReadNum;


    /**
     * 新增比例
     */
    private BigDecimal newRate;


    /**
     * 取关比例比例
     */
    private BigDecimal cancelRate;


    /**
     * 活跃比例
     */
    private BigDecimal inactiveRate;

    /**
     * 总粉丝
     */
    private BigDecimal totalFansRate;

    /**
     * 净增比例
     */
    private BigDecimal addRate;


    /**
     * 阅读比例
     */
    private BigDecimal pageReadRate;

    /**
     * 统计日期 yyyy-MM-dd
     */
    private String statDate;

    /**
     * 创建时间
     */
    private String createTime;


    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getAccountId() {
        return accountId;
    }

    public void setAccountId(String accountId) {
        this.accountId = accountId;
    }

    public Integer getNewNum() {
        return newNum;
    }

    public void setNewNum(Integer newNum) {
        this.newNum = newNum;
    }

    public Integer getCancelNum() {
        return cancelNum;
    }

    public void setCancelNum(Integer cancelNum) {
        this.cancelNum = cancelNum;
    }

    public Integer getInactiveNum() {
        return inactiveNum;
    }

    public void setInactiveNum(Integer inactiveNum) {
        this.inactiveNum = inactiveNum;
    }

    public Integer getTotalFansNum() {
        return totalFansNum;
    }

    public void setTotalFansNum(Integer totalFansNum) {
        this.totalFansNum = totalFansNum;
    }

    public Integer getAddNum() {
        return addNum;
    }

    public void setAddNum(Integer addNum) {
        this.addNum = addNum;
    }

    public Integer getPageReadNum() {
        return pageReadNum;
    }

    public void setPageReadNum(Integer pageReadNum) {
        this.pageReadNum = pageReadNum;
    }

    public BigDecimal getNewRate() {
        return newRate;
    }

    public void setNewRate(BigDecimal newRate) {
        this.newRate = newRate;
    }

    public BigDecimal getCancelRate() {
        return cancelRate;
    }

    public void setCancelRate(BigDecimal cancelRate) {
        this.cancelRate = cancelRate;
    }

    public BigDecimal getInactiveRate() {
        return inactiveRate;
    }

    public void setInactiveRate(BigDecimal inactiveRate) {
        this.inactiveRate = inactiveRate;
    }

    public BigDecimal getTotalFansRate() {
        return totalFansRate;
    }

    public void setTotalFansRate(BigDecimal totalFansRate) {
        this.totalFansRate = totalFansRate;
    }

    public BigDecimal getAddRate() {
        return addRate;
    }

    public void setAddRate(BigDecimal addRate) {
        this.addRate = addRate;
    }

    public BigDecimal getPageReadRate() {
        return pageReadRate;
    }

    public void setPageReadRate(BigDecimal pageReadRate) {
        this.pageReadRate = pageReadRate;
    }


    public String getStatDate() {
        return statDate;
    }

    public void setStatDate(String statDate) {
        this.statDate = statDate;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }
}
