package com.idiot.operationbackend.service.impl;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.idiot.operationbackend.entity.FansActionStat;
import com.idiot.operationbackend.mappers.FansActionStatMapper;
import com.idiot.operationbackend.service.facade.FansActionStatService;
import org.springframework.stereotype.Service;

/**
 * @author wang xiao
 * @date Created in 11:33 2020/9/16
 */
@Service
public class FansActionStatServiceImpl extends ServiceImpl<FansActionStatMapper, FansActionStat>
        implements FansActionStatService {

    @Override
    public int countInactiveFansNum(String accountId, long startDate, long endDate) {
        return count(Wrappers.<FansActionStat>lambdaQuery().eq(FansActionStat::getAccountId,accountId)
                .ge(FansActionStat::getCreateTime,startDate)
                .le(FansActionStat::getCreateTime,endDate));
    }
}
