package com.idiot.operationbackend.service.facade;

import com.baomidou.mybatisplus.extension.service.IService;
import com.idiot.operationbackend.entity.FansActionStat;



/**
 * @author wang xiao
 * @date Created in 11:33 2020/9/16
 */
public interface FansActionStatService extends IService<FansActionStat> {

    /**
     *  统计区间内 粉丝活跃数量 (秒级时间戳)
     * @author wangxiao
     * @date 11:39 2020/9/16
     * @param accountId
     * @param startDate
     * @param endDate
     * @return int
     */
    int countInactiveFansNum( String accountId, long startDate, long endDate );
}
