package com.idiot.operationbackend.service.impl;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.idiot.operationbackend.entity.AccountFans;
import com.idiot.operationbackend.mappers.AccountFansMapper;
import com.idiot.operationbackend.service.facade.AccountFansService;
import org.springframework.stereotype.Service;

/**
 * @author wang xiao
 * @date Created in 19:24 2020/9/10
 */
@Service
public class AccountFansServiceImpl extends ServiceImpl<AccountFansMapper, AccountFans>
        implements AccountFansService {


    @Override
    public AccountFans queryByAccountIdAndOpenId(String accountId, String openId) {
        return getOne(Wrappers.<AccountFans>lambdaQuery().eq(AccountFans::getAccountId,accountId)
                .eq(AccountFans::getOpenId,openId),false);
    }
}
